Bug 1295579 - USB 3 stick is disconnected when plugged into USB 3 port [NEEDINFO]
USB 3 stick is disconnected when plugged into USB 3 port
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 17:57 EST by Lorenzo
Modified: 2017-03-11 16:16 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:48:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lorenzofsutton: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Lorenzo 2016-01-04 17:57:33 EST
Description of problem:
A USB 3 stick is connected to a USB 3 port. The device is disconnected (at least according to dmesg). The stick is correctly connected and working on a usb 2 port.

Version-Release number of selected component (if applicable):
4.2.8-300.fc23.x86_64


How reproducible:
Plug in USB 3 stick in USB 3 port

Steps to Reproduce:
1. Plug in USB 3 stick in USB 3 port

Actual results:
The stick is not visible, mountable etc.

Expected results:
The usb stick is usable

Additional info:
Fedora 23 XFCE spin.

dmesg output
[  378.147212] usb-storage 2-1:1.0: USB Mass Storage device detected
[  378.147666] scsi host53: usb-storage 2-1:1.0
[  378.151407] usb 2-1: Set SEL for device-initiated U1 failed.
[  378.154876] usb 2-1: Set SEL for device-initiated U2 failed.
[  378.155026] usb 2-1: USB disconnect, device number 50
[  378.576637] usb 2-1: new SuperSpeed USB device number 51 using xhci_hcd
[  378.605193] usb 2-1: New USB device found, idVendor=0951, idProduct=1666
[  378.605199] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  378.605202] usb 2-1: Product: DataTraveler 3.0
[  378.605205] usb 2-1: Manufacturer: Kingston
[  378.605208] usb 2-1: SerialNumber: 60A44C41388DFE91E98600BE
Comment 1 me 2016-04-18 03:37:23 EDT
Hello, 

I have the same problem on my desktop and on my laptop. I am using Fedora 23 on both.

dmesg show the same output:
[ 2363.720638] usb 4-1: new SuperSpeed USB device number 7 using xhci_hcd
[ 2363.747675] usb 4-1: New USB device found, idVendor=0951, idProduct=1666
[ 2363.747680] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 2363.747683] usb 4-1: Product: DataTraveler 3.0
[ 2363.747685] usb 4-1: Manufacturer: Kingston
[ 2363.747687] usb 4-1: SerialNumber: 60A44C425294F9114982003B
[ 2368.749812] usb 4-1: Set SEL for device-initiated U2 failed.
[ 2368.753376] usb 4-1: Disable of device-initiated U1 failed.
[ 2368.756878] usb 4-1: Disable of device-initiated U2 failed.
[ 2368.756885] usb-storage 4-1:1.0: USB Mass Storage device detected
[ 2368.757194] scsi host13: usb-storage 4-1:1.0
[ 2368.760877] usb 4-1: Set SEL for device-initiated U1 failed.
[ 2368.764390] usb 4-1: Set SEL for device-initiated U2 failed.
[ 2368.764557] usb 4-1: USB disconnect, device number 7


If the USB key is plugged on USB 2 port, it works.
It also works if I force USB 2 with this command: sudo setpci -H1 -d 8086:1e31 d8.l=0

uname -a
Linux Fangorn 4.4.6-301.fc23.x86_64 #1 SMP Wed Mar 30 16:43:58 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Comment 2 me 2016-05-20 10:55:38 EDT
If it can help, it's possible to get the key working by plugging it very slowly:

[ 7573.635672] usb 1-4: new high-speed USB device number 10 using xhci_hcd
[ 7573.820207] usb 1-4: New USB device found, idVendor=0951, idProduct=1666
[ 7573.820219] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 7573.820227] usb 1-4: Product: DataTraveler 3.0
[ 7573.820234] usb 1-4: Manufacturer: Kingston
[ 7573.820240] usb 1-4: SerialNumber: 60A44C425294F9114982003B
[ 7573.821009] usb 1-4: ep 0x81 - rounding interval to 128 microframes, ep desc says 255 microframes
[ 7573.821027] usb 1-4: ep 0x2 - rounding interval to 128 microframes, ep desc says 255 microframes
[ 7573.822224] usb-storage 1-4:1.0: USB Mass Storage device detected
[ 7573.823874] scsi host71: usb-storage 1-4:1.0
[ 7575.002465] scsi 71:0:0:0: Direct-Access     Kingston DataTraveler 3.0 1.00 PQ: 0 ANSI: 6
[ 7575.004350] sd 71:0:0:0: Attached scsi generic sg1 type 0
[ 7575.004598] sd 71:0:0:0: [sdb] 120845300 512-byte logical blocks: (61.9 GB/57.6 GiB)
[ 7575.005159] sd 71:0:0:0: [sdb] Write Protect is off
[ 7575.005176] sd 71:0:0:0: [sdb] Mode Sense: 4f 00 00 00
[ 7575.005783] sd 71:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[ 7575.014281] sd 71:0:0:0: [sdb] Attached SCSI removable disk
Comment 3 Laura Abbott 2016-09-23 15:32:47 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Laura Abbott 2016-10-26 12:48:26 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 5 Lorenzo 2017-01-06 05:27:54 EST
This problem is still present in Fedora 24 with Kernel 4.8.15-200.fc24.x86_64 

Again, plugging in a USB 2 port works correctly.

Below is an example dmesg output (cleard before insering the USB stick). It looks like the USB stick is connected and disconnected again.

[  229.292983] usb 4-1: new SuperSpeed USB device number 11 using xhci_hcd
[  229.322485] usb 4-1: New USB device found, idVendor=0951, idProduct=1666
[  229.322487] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  229.322489] usb 4-1: Product: DataTraveler 3.0
[  229.322490] usb 4-1: Manufacturer: Kingston
[  229.322491] usb 4-1: SerialNumber: 60A44C41388DFE91E98600BE
[  234.476511] usb 4-1: Set SEL for device-initiated U2 failed.
[  234.476584] usb-storage 4-1:1.0: USB Mass Storage device detected
[  234.476792] scsi host6: usb-storage 4-1:1.0
[  234.476968] usb 4-1: USB disconnect, device number 11
[  235.836630] usb 4-1: new SuperSpeed USB device number 12 using xhci_hcd
[  235.866165] usb 4-1: New USB device found, idVendor=0951, idProduct=1666
[  235.866167] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  235.866168] usb 4-1: Product: DataTraveler 3.0
[  235.866169] usb 4-1: Manufacturer: Kingston
[  235.866170] usb 4-1: SerialNumber: 60A44C41388DFE91E98600BE
[  241.132243] usb 4-1: Set SEL for device-initiated U2 failed.
[  241.132372] usb-storage 4-1:1.0: USB Mass Storage device detected
[  241.132719] scsi host6: usb-storage 4-1:1.0
[  242.166827] usb 4-1: Disable of device-initiated U1 failed.
[  242.170503] usb 4-1: Disable of device-initiated U2 failed.
[  242.274694] usb 4-1: reset SuperSpeed USB device number 12 using xhci_hcd
[  247.787984] usb 4-1: Set SEL for device-initiated U2 failed.
[  247.802830] usb 4-1: Disable of device-initiated U1 failed.
[  247.806580] usb 4-1: Disable of device-initiated U2 failed.
[  247.910218] usb 4-1: reset SuperSpeed USB device number 12 using xhci_hcd
[  253.419600] usb 4-1: Set SEL for device-initiated U2 failed.
[  253.434501] usb 4-1: Disable of device-initiated U1 failed.
[  253.437999] usb 4-1: Disable of device-initiated U2 failed.
[  253.542042] usb 4-1: reset SuperSpeed USB device number 12 using xhci_hcd
[  259.051292] usb 4-1: Set SEL for device-initiated U2 failed.
[  259.051352] usb 4-1: USB disconnect, device number 12
[  260.075546] usb 4-1: new SuperSpeed USB device number 13 using xhci_hcd
[  260.105102] usb 4-1: New USB device found, idVendor=0951, idProduct=1666
[  260.105106] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  260.105108] usb 4-1: Product: DataTraveler 3.0
[  260.105110] usb 4-1: Manufacturer: Kingston
[  260.105112] usb 4-1: SerialNumber: 60A44C41388DFE91E98600BE
[  265.195007] usb 4-1: Set SEL for device-initiated U2 failed.
[  265.195155] usb-storage 4-1:1.0: USB Mass Storage device detected
[  265.195383] scsi host6: usb-storage 4-1:1.0
[  265.195673] usb 4-1: USB disconnect, device number 13
[  265.539326] usb 4-1: new SuperSpeed USB device number 14 using xhci_hcd
[  265.568978] usb 4-1: New USB device found, idVendor=0951, idProduct=1666
[  265.568980] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  265.568981] usb 4-1: Product: DataTraveler 3.0
[  265.568982] usb 4-1: Manufacturer: Kingston
[  265.568983] usb 4-1: SerialNumber: 60A44C41388DFE91E98600BE
[  270.826688] usb 4-1: Set SEL for device-initiated U2 failed.
[  270.826779] usb-storage 4-1:1.0: USB Mass Storage device detected
[  270.826875] scsi host6: usb-storage 4-1:1.0
[  271.861146] usb 4-1: Disable of device-initiated U1 failed.
[  271.864660] usb 4-1: Disable of device-initiated U2 failed.
[  271.969081] usb 4-1: reset SuperSpeed USB device number 14 using xhci_hcd
[  277.482384] usb 4-1: Set SEL for device-initiated U2 failed.
[  277.497194] usb 4-1: Disable of device-initiated U1 failed.
[  277.500689] usb 4-1: Disable of device-initiated U2 failed.
[  277.604881] usb 4-1: reset SuperSpeed USB device number 14 using xhci_hcd
[  283.114128] usb 4-1: Set SEL for device-initiated U2 failed.
[  283.129059] usb 4-1: Disable of device-initiated U1 failed.
[  283.132791] usb 4-1: Disable of device-initiated U2 failed.
[  283.236510] usb 4-1: reset SuperSpeed USB device number 14 using xhci_hcd
[  288.745875] usb 4-1: Set SEL for device-initiated U2 failed.
[  288.760707] usb 4-1: Disable of device-initiated U1 failed.
[  288.764193] usb 4-1: Disable of device-initiated U2 failed.
[  288.868498] usb 4-1: reset SuperSpeed USB device number 14 using xhci_hcd
[  294.377656] usb 4-1: Set SEL for device-initiated U2 failed.
Comment 6 cscsordas 2017-03-11 16:16:21 EST
(In reply to Lorenzo from comment #5)
> This problem is still present in Fedora 24 with Kernel
> 4.8.15-200.fc24.x86_64 
> 
> Again, plugging in a USB 2 port works correctly.
> 
> Below is an example dmesg output (cleard before insering the USB stick). It
> looks like the USB stick is connected and disconnected again.
> 
> [  229.292983] usb 4-1: new SuperSpeed USB device number 11 using xhci_hcd
> [  229.322485] usb 4-1: New USB device found, idVendor=0951, idProduct=1666
> [  229.322487] usb 4-1: New USB device strings: Mfr=1, Product=2,
> SerialNumber=3
> [  229.322489] usb 4-1: Product: DataTraveler 3.0
> [  229.322490] usb 4-1: Manufacturer: Kingston
> [  229.322491] usb 4-1: SerialNumber: 60A44C41388DFE91E98600BE
> [  234.476511] usb 4-1: Set SEL for device-initiated U2 failed.
> [  234.476584] usb-storage 4-1:1.0: USB Mass Storage device detected
> [  234.476792] scsi host6: usb-storage 4-1:1.0
> [  234.476968] usb 4-1: USB disconnect, device number 11
> [  235.836630] usb 4-1: new SuperSpeed USB device number 12 using xhci_hcd
> [  235.866165] usb 4-1: New USB device found, idVendor=0951, idProduct=1666
> [  235.866167] usb 4-1: New USB device strings: Mfr=1, Product=2,
> SerialNumber=3
> [  235.866168] usb 4-1: Product: DataTraveler 3.0
> [  235.866169] usb 4-1: Manufacturer: Kingston
> [  235.866170] usb 4-1: SerialNumber: 60A44C41388DFE91E98600BE
> [  241.132243] usb 4-1: Set SEL for device-initiated U2 failed.
> [  241.132372] usb-storage 4-1:1.0: USB Mass Storage device detected
> [  241.132719] scsi host6: usb-storage 4-1:1.0
> [  242.166827] usb 4-1: Disable of device-initiated U1 failed.
> [  242.170503] usb 4-1: Disable of device-initiated U2 failed.
> [  242.274694] usb 4-1: reset SuperSpeed USB device number 12 using xhci_hcd
> [  247.787984] usb 4-1: Set SEL for device-initiated U2 failed.
> [  247.802830] usb 4-1: Disable of device-initiated U1 failed.
> [  247.806580] usb 4-1: Disable of device-initiated U2 failed.
> [  247.910218] usb 4-1: reset SuperSpeed USB device number 12 using xhci_hcd
> [  253.419600] usb 4-1: Set SEL for device-initiated U2 failed.
> [  253.434501] usb 4-1: Disable of device-initiated U1 failed.
> [  253.437999] usb 4-1: Disable of device-initiated U2 failed.
> [  253.542042] usb 4-1: reset SuperSpeed USB device number 12 using xhci_hcd
> [  259.051292] usb 4-1: Set SEL for device-initiated U2 failed.
> [  259.051352] usb 4-1: USB disconnect, device number 12
> [  260.075546] usb 4-1: new SuperSpeed USB device number 13 using xhci_hcd
> [  260.105102] usb 4-1: New USB device found, idVendor=0951, idProduct=1666
> [  260.105106] usb 4-1: New USB device strings: Mfr=1, Product=2,
> SerialNumber=3
> [  260.105108] usb 4-1: Product: DataTraveler 3.0
> [  260.105110] usb 4-1: Manufacturer: Kingston
> [  260.105112] usb 4-1: SerialNumber: 60A44C41388DFE91E98600BE
> [  265.195007] usb 4-1: Set SEL for device-initiated U2 failed.
> [  265.195155] usb-storage 4-1:1.0: USB Mass Storage device detected
> [  265.195383] scsi host6: usb-storage 4-1:1.0
> [  265.195673] usb 4-1: USB disconnect, device number 13
> [  265.539326] usb 4-1: new SuperSpeed USB device number 14 using xhci_hcd
> [  265.568978] usb 4-1: New USB device found, idVendor=0951, idProduct=1666
> [  265.568980] usb 4-1: New USB device strings: Mfr=1, Product=2,
> SerialNumber=3
> [  265.568981] usb 4-1: Product: DataTraveler 3.0
> [  265.568982] usb 4-1: Manufacturer: Kingston
> [  265.568983] usb 4-1: SerialNumber: 60A44C41388DFE91E98600BE
> [  270.826688] usb 4-1: Set SEL for device-initiated U2 failed.
> [  270.826779] usb-storage 4-1:1.0: USB Mass Storage device detected
> [  270.826875] scsi host6: usb-storage 4-1:1.0
> [  271.861146] usb 4-1: Disable of device-initiated U1 failed.
> [  271.864660] usb 4-1: Disable of device-initiated U2 failed.
> [  271.969081] usb 4-1: reset SuperSpeed USB device number 14 using xhci_hcd
> [  277.482384] usb 4-1: Set SEL for device-initiated U2 failed.
> [  277.497194] usb 4-1: Disable of device-initiated U1 failed.
> [  277.500689] usb 4-1: Disable of device-initiated U2 failed.
> [  277.604881] usb 4-1: reset SuperSpeed USB device number 14 using xhci_hcd
> [  283.114128] usb 4-1: Set SEL for device-initiated U2 failed.
> [  283.129059] usb 4-1: Disable of device-initiated U1 failed.
> [  283.132791] usb 4-1: Disable of device-initiated U2 failed.
> [  283.236510] usb 4-1: reset SuperSpeed USB device number 14 using xhci_hcd
> [  288.745875] usb 4-1: Set SEL for device-initiated U2 failed.
> [  288.760707] usb 4-1: Disable of device-initiated U1 failed.
> [  288.764193] usb 4-1: Disable of device-initiated U2 failed.
> [  288.868498] usb 4-1: reset SuperSpeed USB device number 14 using xhci_hcd
> [  294.377656] usb 4-1: Set SEL for device-initiated U2 failed.

What happens if you plug it in very slowly?

Note You need to log in before you can comment on or make changes to this bug.